<?php

/**
 * @file
 * Hooks provided by GraphQL Compose module.
 */

/**
 * Alter the result from language singularize.
 *
 * @param string $original
 *  Original string to be converted.
 * @param array $singular
 *  Result from the language interface.
 */
function hook_graphql_compose_singularize_alter($original, array &$singular): void {
  if (preg_match('/media$/i', $original)) {
    $singular = [$original];
  }
}

/**
 * Alter the result from language pluralize.
 *
 * @param string $original
 *  Original string to be converted.
 * @param array $plural
 *  Result from the language interface.
 */
function hook_graphql_compose_pluralize_alter($original, array &$plural): void {
  if (preg_match('/media$/i', $original)) {
    $plural = [$original . 'Items'];
  }
}
